import java.rmi.Naming;
import java.util.List;
import java.util.Scanner;

import implementacoes.CandidatoImpl;
import interfaces.VotacaoInterface;

public class Cliente {
	
	static int porta = 8898;
		
	public static void main(String[] args) throws Exception {
		String objName = "//localhost:" + porta + "/server";
		VotacaoInterface votacao = (VotacaoInterface) Naming.lookup(objName);
		
		List<CandidatoImpl> candidatos = votacao.listarCandidatos();
				
		candidatos.forEach(x -> {
            System.out.println(x.getNome() + " " + x.getNumero());
        });
		
		@SuppressWarnings("resource")
		Scanner entrada = new Scanner(System.in);
		System.out.println("Digite seu voto");
		String numero_candidato = entrada.nextLine();
		
		int posicao = votacao.buscarCandidato(numero_candidato);
		System.out.println("Seu voto foi: " + candidatos.get(posicao).getNome());
	}
}